`timescale 1ns / 1ps
//////////////////////////////////////////////////////////////////////////////////
// Company: SERVO MAGAZINE
// Engineer: FRED EADY
// 
// Create Date:    10:52:24 06/16/2008 
// Design Name: 
// Module Name:    rcservo 
// Project Name: 
// Target Devices: COOLRUNNER-II CPLD
// Tool versions: ISE WEBPACK 10
// Description: SINGLE SERVO CENTERED
//
// Dependencies: 
//
// Revision: 
// Revision 0.01 - File Created
// Additional Comments: 
//
//////////////////////////////////////////////////////////////////////////////////
module rcservo(
    input clk_1mhz,
    output reg pwm_out
    );
	
	parameter	minpulsewidth = 1000;
	parameter	servo_vector  = 500;

	reg	[14:0]	window_32ms;	

always @(posedge clk_1mhz)
begin
	window_32ms <= window_32ms + 1;
	pwm_out <= (window_32ms < (servo_vector + minpulsewidth));
end
endmodule
